---
title: value
slug: Web/API/BluetoothRemoteGATTDescriptor/value
tags:
  - API
  - Bluetooth
  - BluetoothGattDescriptor
  - BluetoothRemoteGATTDescriptor
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
  - value
---
<p>{{APIRef("Web Bluetooth API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothRemoteGATTDescriptor</code></strong><strong><code>.value</code></strong> read-only property returns an {{jsxref("ArrayBuffer")}} containing the currently cached descriptor value. This value gets updated when the value of the descriptor is read.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>characteristic</em> = BluetoothRemoteGATTDescriptor.characteristic</pre>

<h3 id="Returns">Returns</h3>

<p>An {{jsxref("ArrayBuffer")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Bluetooth','#dom-bluetoothremotegattdescriptor-value','value')}}</td>
   <td>{{Spec2('Web Bluetooth')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.BluetoothRemoteGATTDescriptor.value")}}</p>
</div>
